#include <iostream>
#include <fstream>
using namespace std;

#define MAX 40

int main()
{
	ifstream ifs;

	char file_name[] = "testfile";
	ifs.open(file_name, ios_base::in);

	if (!ifs) // Error in opening the file
	{
		cerr << "Can't open the file '" << file_name << "' for reading." << endl;
		return 1;
	}

	int i;

	/* This is away to read ints, however, there can be chars
	 * left in the stream (even invisible ones), which makes this
	 * an inconvenient way to parse a file. 
	while (!ifs.eof())
	{
		ifs >> i; 
		cout << "i = " << i << endl;
	}*/


	char line[MAX];
	while (ifs.getline(line, MAX)) {
		cout << "Got line  [" << line << "]" << endl;
	}

	ifs.close();
	
	return 0;
}
